> ## Documentation Index
> Fetch the complete documentation index at: https://docs.erdo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# GetThreadAPI returns a thread and its participants.




## OpenAPI

````yaml /api/openapi.json get /v1/threads/{threadID}
openapi: 3.0.0
info:
  title: Erdo API
  description: >-
    Erdo's REST API: query and write datasets, run agents, manage threads,
    integrations, pages, evals, workstreams, experiments, and bounded outreach.
    Authenticate with a Bearer API key (erdo_api_...) or scoped token
    (erdo_token_...).
  version: '2026-10-22'
servers:
  - url: https://api.erdo.ai
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/threads/{threadID}:
    get:
      summary: |
        GetThreadAPI returns a thread and its participants.
      operationId: GET:mcp.GetThreadAPI
      parameters:
        - allowEmptyValue: true
          explode: false
          in: path
          name: threadID
          required: true
          schema:
            type: string
          style: simple
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  created_at:
                    type: string
                  created_by_persona_id:
                    format: uuid
                    type: string
                    nullable: true
                  created_by_user_id:
                    format: uuid
                    type: string
                  delegated_from:
                    $ref: '#/components/schemas/thread.DelegatedFrom'
                  direct_persona_id:
                    format: uuid
                    type: string
                    nullable: true
                  id:
                    format: uuid
                    type: string
                  interaction_state:
                    type: string
                  listing:
                    type: string
                  name:
                    type: string
                  parent_thread_id:
                    format: uuid
                    type: string
                    nullable: true
                  participants:
                    items:
                      $ref: '#/components/schemas/mcp.MCPThreadParticipant'
                    type: array
                  persona_id:
                    format: uuid
                    type: string
                    nullable: true
                  source:
                    type: string
                  updated_at:
                    type: string
                  visibility:
                    type: string
                type: object
          description: Success response
        default:
          $ref: '#/components/responses/APIError'
components:
  schemas:
    thread.DelegatedFrom:
      properties:
        name:
          type: string
        thread_id:
          format: uuid
          type: string
      type: object
    mcp.MCPThreadParticipant:
      properties:
        display_name:
          type: string
        entity_id:
          format: uuid
          type: string
        entity_type:
          type: string
        joined_at:
          type: string
      type: object
  responses:
    APIError:
      content:
        application/json:
          schema:
            externalDocs:
              url: https://pkg.go.dev/encore.dev/beta/errs#Error
            properties:
              code:
                description: Error code
                example: not_found
                externalDocs:
                  url: https://pkg.go.dev/encore.dev/beta/errs#ErrCode
                type: string
              details:
                description: Error details
                type: object
              message:
                description: Error message
                type: string
            title: APIError
            type: object
      description: Error response
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: An Erdo API key (erdo_api_...) or scoped token (erdo_token_...).

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.